Commcare odk and android 4.0?

Hi

Has anyone gotten the commcare odk 1.3 available from
http://build.dimagi.com/commcare/opendatakit-collect.apk
http://build.dimagi.com/commcare/opendatakit-collect.apk to work on Android
4.0? Specifically the calendar picker, which is a known issue with ODK and
Android 4.0 (though with a fix available), now is returning the following
for me, when I try to load a

12-15 15:11:19.190: E/AndroidRuntime(4832): FATAL EXCEPTION: main

12-15 15:11:19.190: E/AndroidRuntime(4832): java.lang.StackOverflowError

With the message on the phone of “Unfortunately ODK Collect has stopped”

Thank you

··· ---------------

Steve Ollis

Chief Operating Officer

D-tree International

http://www.d-tree.org http://www.d-tree.org/

+1.410.443.3916

Skype: ollisste

Steve,

CommCare ODK 1.3 is essentially deprecated at this point and we have no
plans to do ongoing development with it. In addition to this bug, there are
other memory issues with the old model which exist in Android 4.0 which
make it not a good choice v. the newest 2.0 build.

What project are you working with which hasn’t been transitioned to
CommCare 2.0? It makes more sense to transition to the new framework.

-Clayton

··· On Sun, Dec 16, 2012 at 5:37 AM, Steve Ollis wrote:

Hi****


Has anyone gotten the commcare odk 1.3 available from
http://build.dimagi.com/commcare/opendatakit-collect.apk to work on
Android 4.0? Specifically the calendar picker, which is a known issue with
ODK and Android 4.0 (though with a fix available), now is returning the
following for me, when I try to load a ****


12-15 15:11:19.190: E/AndroidRuntime(4832): FATAL EXCEPTION: main****

12-15 15:11:19.190: E/AndroidRuntime(4832): java.lang.StackOverflowError**
**


With the message on the phone of “Unfortunately ODK Collect has stopped”**
**


Thank you****

---------------****

Steve Ollis****

Chief Operating Officer****

D-tree International****

http://www.d-tree.org****

+1.410.443.3916****

Skype: ollisste****


Thanks Clayton - will transition and try it out

Steve

··· From: commcare-users@googlegroups.com [mailto:commcare-users@googlegroups.com] On Behalf Of Clayton Sims Sent: Monday, December 17, 2012 1:04 AM To: commcare-users@googlegroups.com Subject: Re: commcare odk and android 4.0?

Steve,

CommCare ODK 1.3 is essentially deprecated at this point and we have no
plans to do ongoing development with it. In addition to this bug, there are
other memory issues with the old model which exist in Android 4.0 which make
it not a good choice v. the newest 2.0 build.

What project are you working with which hasn’t been transitioned to CommCare
2.0? It makes more sense to transition to the new framework.

-Clayton

On Sun, Dec 16, 2012 at 5:37 AM, Steve Ollis steve.ollis@gmail.com wrote:

Hi

Has anyone gotten the commcare odk 1.3 available from
http://build.dimagi.com/commcare/opendatakit-collect.apk
http://build.dimagi.com/commcare/opendatakit-collect.apk to work on Android
4.0? Specifically the calendar picker, which is a known issue with ODK and
Android 4.0 (though with a fix available), now is returning the following
for me, when I try to load a

12-15 15:11:19.190: E/AndroidRuntime(4832): FATAL EXCEPTION: main

12-15 15:11:19.190: E/AndroidRuntime(4832): java.lang.StackOverflowError

With the message on the phone of “Unfortunately ODK Collect has stopped”

Thank you


Steve Ollis

Chief Operating Officer

D-tree International

http://www.d-tree.org http://www.d-tree.org/

+1.410.443.3916

Skype: ollisste

Steve,

Great! Let me know if you run into any problems

-Clayton

··· On Mon, Dec 17, 2012 at 5:10 PM, Steve Ollis wrote:

Thanks Clayton – will transition and try it out****


Steve****


From: commcare-users@googlegroups.com [mailto:
commcare-users@googlegroups.com] On Behalf Of Clayton Sims
Sent: Monday, December 17, 2012 1:04 AM
To: commcare-users@googlegroups.com
Subject: Re: commcare odk and android 4.0?
**


Steve,****


CommCare ODK 1.3 is essentially deprecated at this point and we have no
plans to do ongoing development with it. In addition to this bug, there are
other memory issues with the old model which exist in Android 4.0 which
make it not a good choice v. the newest 2.0 build.****


What project are you working with which hasn’t been transitioned to
CommCare 2.0? It makes more sense to transition to the new framework.****


-Clayton****

On Sun, Dec 16, 2012 at 5:37 AM, Steve Ollis steve.ollis@gmail.com
wrote:****

Hi****


Has anyone gotten the commcare odk 1.3 available from
http://build.dimagi.com/commcare/opendatakit-collect.apk to work on
Android 4.0? Specifically the calendar picker, which is a known issue with
ODK and Android 4.0 (though with a fix available), now is returning the
following for me, when I try to load a ****


12-15 15:11:19.190: E/AndroidRuntime(4832): FATAL EXCEPTION: main****

12-15 15:11:19.190: E/AndroidRuntime(4832): java.lang.StackOverflowError**
**


With the message on the phone of “Unfortunately ODK Collect has stopped”**
**


Thank you****

---------------****

Steve Ollis****

Chief Operating Officer****

D-tree International****

http://www.d-tree.org****

+1.410.443.3916****

Skype: ollisste****